JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Grid::Px Struct Referencefinal
juce_gui_basics » layout

A size in pixels. More...

`#include <juce_Grid.h>`

## Public Member Functions
| Px (float p)
| Px (int p)
constexpr | Px (long double p)
constexpr | Px (unsigned long long p)

## Public Attributes
long double | pixels

## Detailed Description

A size in pixels.

## Constructor & Destructor Documentation

## ◆ Px() [1/4]

Grid::Px::Px | ( | float | p | ) |
| explicit

## ◆ Px() [2/4]

Grid::Px::Px | ( | int | p | ) |
| explicit

## ◆ Px() [3/4]

constexpr Grid::Px::Px | ( | long double | p | ) |
| explicit constexpr

## ◆ Px() [4/4]

constexpr Grid::Px::Px | ( | unsigned long long | p | ) |
| explicit constexpr

## Member Data Documentation

## ◆ pixels

long double Grid::Px::pixels

The documentation for this struct was generated from the following file:

- juce_Grid.h